# meds/werken/klok.py
#
#

""" time the timing. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from meds.helpers.time import get_day, get_hour, today, short_date
from meds.clock import Timer
from meds.runtime import kernel
from meds import Thing

import datetime
import threading
import time

## COMMANDS

def clock_timer(event):
    rest = event.rest()
    if not rest: return
    target = today() + get_day(rest) + get_hour(rest)
    print(target, time.time())
    event.reply("time found: %s" % short_date(time.ctime(target)))
    t = Thing()
    t.prefix = "timer"
    t.time = target
    t.save()
    timer = Timer(target, event)
    kernel.put(timer.start)
    event.ok()

kernel.register("clock.timer", clock_timer)

def init():
    last_timer = kernel.last("prefix", "timer")
    print(time.time(), last_timer.time)
    if time.time() > int(last_timer.time): return
    timer = Timer(int(last_timer.time), kernel)
    kernel.put(timer.start)
