#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run meds with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='meds',
    version='27',
    url='https://pikacode.com/bthate/meds2',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description="Rust voor de Gek",
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["beautifulsoup4", "sleekxmpp", "feedparser"],
    scripts=["bin/meds", "bin/meds-docs", "bin/meds-test", "bin/meds-local", "bin/meds-sed"],
    packages=['meds',
              'meds.bots',
              'meds.extra',
              'meds.helpers',
              'meds.plugs',
             ],
     long_description = """ 

De ambulante verpleging thuis vereist:

1) 24/7 verpleging bereikbaar
2) periodieke controle van de psychiater 
3) volledig ingevuld behandelingsovereenkomst

Als de 24/7 verpleging ontbreekt, moet men bellen met een inschatting van risico aan de bellers kant (triade).

Als die geen hulp stuurt moet men zelf reizen wat niet mogelijk is zonder strippenkaart, geld voor taxi
of mantelzorgers aanwezig (zorgvraagweigering).

Wat rest is zonder hulp thuis maar het weekend doorkomen, onder enorme spanning (suicide risico).

Als de psychiater niet een periodieke controle doet, is hij niet op de hoogte van de toestand van de patient.
Dit houd in dat hij paniek voetbal gaat doen op het moment dat de patient onstabiel word.

Als de behandelingsovereenkomst niet goed ingevuld is, gaat met in tijden van crisis ter plekke een beslissing nemen.

Behandelingsovereenkomst bevat: 

1) behandelingsplan - dit bevat de verwachting van de te verlenen behandeling. 
2) signaleringsplan - dit bevat de symptomen waar men bij de patient op moet letten
3) crisisplan - dit omschrijft hoe en welke partijen moeten handelen in een crisis situatie

http://pypi.python.org/pypi/meds

""", 
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
